Opened 4 weeks ago

Closed 4 weeks ago

#2573 closed defect (not our bug)

Cant install plugin i2p-bote

Reported by: Danrobi Owned by: zzz
Priority: minor Milestone: undecided
Component: apps/plugins Version: 0.9.41
Keywords: Cc:
Parent Tickets: Sensitive: no

Description (last modified by zzz)

I2P version:	0.9.41-0-1ubuntu1
Java version:	Oracle Corporation 1.8.0_212 (OpenJDK Runtime Environment 1.8.0_212-8u212-b03-0ubuntu1.18.04.1-b03)
Wrapper version:	3.5.30
Server version:	9.4.15.v20190215
Servlet version:	Jasper JSP 2.3 Engine
JSTL version:	standard-taglib 1.2.5
Platform:	Linux amd64 4.18.0-25-generic
Processor:	Ivy Bridge (coreisbr)
JBigI status:	Locally optimized native BigInteger library loaded from file
GMP version:	6.1.2
JBigI version:	4
JCpuId version:	3
Encoding:	UTF-8
Charset:	UTF-8
Built By:	Undefined
    24/07/19 9:30:04 PM ERROR [pdate Runner] er.update.ConsoleUpdateManager: Failed net.i2p.router.update.PluginUpdateRunner PLUGIN 2822669253695302170 HTTP http://bote.i2p/i2pbote.su3 for PLUGIN: <b>Failed to download plugin from http://bote.i2p/i2pbote.su3</b>
    24/07/19 9:30:40 PM ↑↑↑ 1 similar message omitted ↑↑↑
    24/07/19 9:51:25 PM ↑↑↑ 1 similar message omitted ↑↑↑
    24/07/19 9:52:14 PM ↑↑↑ 1 similar message omitted ↑↑↑
    25/07/19 4:50:32 AM ERROR [pdate Runner] er.update.ConsoleUpdateManager: Failed net.i2p.router.update.PluginUpdateRunner PLUGIN 565327352535428767 HTTP http://bote.i2p/i2pbote.su3 for PLUGIN: <b>Failed to download plugin from http://bote.i2p/i2pbote.su3</b>
    25/07/19 4:51:01 AM ↑↑↑ 1 similar message omitted ↑↑↑
    25/07/19 5:05:14 AM ↑↑↑ 1 similar message omitted ↑↑↑
    25/07/19 5:07:29 AM ↑↑↑ 1 similar message omitted ↑↑↑
    25/07/19 5:51:45 AM ERROR [pdate Runner] er.update.ConsoleUpdateManager: Failed net.i2p.router.update.PluginUpdateRunner PLUGIN 415960849844746606 HTTP http://bote.i2p/i2pbote.su3 for PLUGIN: <b>Failed to download plugin from http://bote.i2p/i2pbote.su3</b>
    25/07/19 5:52:21 AM ↑↑↑ 1 similar message omitted ↑↑↑
2019/07/24 18:54:07 | WARNING: Error starting ConsoleSocket@5e4672dd{HTTP/1.1,[http/1.1]}{::1:7657}: java.io.IOException: Failed to bind to /0:0:0:0:0:0:0:1:7657
2019/07/24 18:54:07 | java.io.IOException: Failed to bind to /0:0:0:0:0:0:0:1:7657
2019/07/24 18:54:07 | 	at org.eclipse.jetty.server.ServerConnector.openAcceptChannel(ServerConnector.java:346)
2019/07/24 18:54:07 | 	at org.eclipse.jetty.server.ServerConnector.open(ServerConnector.java:308)
2019/07/24 18:54:07 | 	at org.eclipse.jetty.server.AbstractNetworkConnector.doStart(AbstractNetworkConnector.java:80)
2019/07/24 18:54:07 | 	at org.eclipse.jetty.server.ServerConnector.doStart(ServerConnector.java:236)
2019/07/24 18:54:07 | 	at org.eclipse.jetty.util.component.AbstractLifeCycle.start(AbstractLifeCycle.java:68)
2019/07/24 18:54:07 | 	at net.i2p.router.web.RouterConsoleRunner.startConsole(RouterConsoleRunner.java:770)
2019/07/24 18:54:07 | 	at net.i2p.router.web.RouterConsoleRunner.startup(RouterConsoleRunner.java:237)
2019/07/24 18:54:07 | 	at net.i2p.router.startup.RouterAppManager.addAndStart(RouterAppManager.java:54)
2019/07/24 18:54:07 | 	at net.i2p.router.startup.LoadClientAppsJob$RunApp.run(LoadClientAppsJob.java:301)
2019/07/24 18:54:07 | 	at java.lang.Thread.run(Thread.java:748)
2019/07/24 18:54:07 | 	at net.i2p.util.I2PThread.run(I2PThread.java:103)
2019/07/24 18:54:07 | Caused by: java.net.BindException: Address already in use
2019/07/24 18:54:07 | 	at sun.nio.ch.Net.bind0(Native Method)
2019/07/24 18:54:07 | 	at sun.nio.ch.Net.bind(Net.java:433)
2019/07/24 18:54:07 | 	at sun.nio.ch.Net.bind(Net.java:425)
2019/07/24 18:54:07 | 	at sun.nio.ch.ServerSocketChannelImpl.bind(ServerSocketChannelImpl.java:223)
2019/07/24 18:54:07 | 	at sun.nio.ch.ServerSocketAdaptor.bind(ServerSocketAdaptor.java:74)
2019/07/24 18:54:07 | 	at org.eclipse.jetty.server.ServerConnector.openAcceptChannel(ServerConnector.java:342)
2019/07/24 18:54:07 | 	... 10 more
2019/07/24 18:54:07 | WARNING: Error starting ConsoleSocket@76c6b9e8{HTTP/1.1,[http/1.1]}{127.0.0.1:7657}: java.io.IOException: Failed to bind to /127.0.0.1:7657
2019/07/24 18:54:07 | java.io.IOException: Failed to bind to /127.0.0.1:7657
2019/07/24 18:54:07 | 	at org.eclipse.jetty.server.ServerConnector.openAcceptChannel(ServerConnector.java:346)
2019/07/24 18:54:07 | 	at org.eclipse.jetty.server.ServerConnector.open(ServerConnector.java:308)
2019/07/24 18:54:07 | 	at org.eclipse.jetty.server.AbstractNetworkConnector.doStart(AbstractNetworkConnector.java:80)
2019/07/24 18:54:07 | 	at org.eclipse.jetty.server.ServerConnector.doStart(ServerConnector.java:236)
2019/07/24 18:54:07 | 	at org.eclipse.jetty.util.component.AbstractLifeCycle.start(AbstractLifeCycle.java:68)
2019/07/24 18:54:07 | 	at net.i2p.router.web.RouterConsoleRunner.startConsole(RouterConsoleRunner.java:770)
2019/07/24 18:54:07 | 	at net.i2p.router.web.RouterConsoleRunner.startup(RouterConsoleRunner.java:237)
2019/07/24 18:54:07 | 	at net.i2p.router.startup.RouterAppManager.addAndStart(RouterAppManager.java:54)
2019/07/24 18:54:07 | 	at net.i2p.router.startup.LoadClientAppsJob$RunApp.run(LoadClientAppsJob.java:301)
2019/07/24 18:54:07 | 	at java.lang.Thread.run(Thread.java:748)
2019/07/24 18:54:07 | 	at net.i2p.util.I2PThread.run(I2PThread.java:103)
2019/07/24 18:54:07 | Caused by: java.net.BindException: Address already in use
2019/07/24 18:54:07 | 	at sun.nio.ch.Net.bind0(Native Method)
2019/07/24 18:54:07 | 	at sun.nio.ch.Net.bind(Net.java:433)
2019/07/24 18:54:07 | 	at sun.nio.ch.Net.bind(Net.java:425)
2019/07/24 18:54:07 | 	at sun.nio.ch.ServerSocketChannelImpl.bind(ServerSocketChannelImpl.java:223)
2019/07/24 18:54:07 | 	at sun.nio.ch.ServerSocketAdaptor.bind(ServerSocketAdaptor.java:74)
2019/07/24 18:54:07 | 	at org.eclipse.jetty.server.ServerConnector.openAcceptChannel(ServerConnector.java:342)
2019/07/24 18:54:07 | 	... 10 more
2019/07/24 18:54:07 | WARNING: Error starting one or more listeners of the Router Console server.
2019/07/24 18:54:07 | If your console is still accessible at http://127.0.0.1:7657/,
2019/07/24 18:54:07 | this may be a problem only with binding to the IPV6 address ::1.
2019/07/24 18:54:07 | If so, you may ignore this error, or remove the
2019/07/24 18:54:07 | "::1," in the "clientApp.0.args" line of the clients.config file.
2019/07/24 18:54:09 | INFO: 75 files extracted to /tmp/i2p-jn2haFaA.tmp/reseeds-588174171
2019/07/24 18:54:09 | Reseed got 75 router infos from https://netdb.i2p2.no/i2pseeds.su3 with 0 errors
2019/07/24 18:54:09 | Reseeding from https://reseed.memcpy.io/i2pseeds.su3
2019/07/24 18:54:10 | INFO: 77 files extracted to /tmp/i2p-jn2haFaA.tmp/reseeds-1068936994
2019/07/24 18:54:10 | Reseed got 77 router infos from https://reseed.memcpy.io/i2pseeds.su3 with 0 errors
2019/07/24 18:54:10 | Reseed successful, fetched 152 router infos
2019/07/24 18:55:05 | CRIT  [JettyStarter] outer.startup.RouterAppManager: Client Jetty [/home/danrobi/.i2p/eepsite/jetty.xml] START_FAILED 
2019/07/24 18:55:05 | java.io.IOException: Failed to bind to /127.0.0.1:7658
2019/07/24 18:55:05 | 	at org.eclipse.jetty.server.ServerConnector.openAcceptChannel(ServerConnector.java:346)
2019/07/24 18:55:05 | 	at org.eclipse.jetty.server.ServerConnector.open(ServerConnector.java:308)
2019/07/24 18:55:05 | 	at org.eclipse.jetty.server.AbstractNetworkConnector.doStart(AbstractNetworkConnector.java:80)
2019/07/24 18:55:05 | 	at org.eclipse.jetty.server.ServerConnector.doStart(ServerConnector.java:236)
2019/07/24 18:55:05 | 	at org.eclipse.jetty.util.component.AbstractLifeCycle.start(AbstractLifeCycle.java:68)
2019/07/24 18:55:05 | 	at org.eclipse.jetty.server.Server.doStart(Server.java:394)
2019/07/24 18:55:05 | 	at org.eclipse.jetty.util.component.AbstractLifeCycle.start(AbstractLifeCycle.java:68)
2019/07/24 18:55:05 | 	at net.i2p.jetty.JettyStart$Starter.run(JettyStart.java:138)
2019/07/24 18:55:05 | Caused by: java.net.BindException: Address already in use
2019/07/24 18:55:05 | 	at sun.nio.ch.Net.bind0(Native Method)
2019/07/24 18:55:05 | 	at sun.nio.ch.Net.bind(Net.java:433)
2019/07/24 18:55:05 | 	at sun.nio.ch.Net.bind(Net.java:425)
2019/07/24 18:55:05 | 	at sun.nio.ch.ServerSocketChannelImpl.bind(ServerSocketChannelImpl.java:223)
2019/07/24 18:55:05 | 	at sun.nio.ch.ServerSocketAdaptor.bind(ServerSocketAdaptor.java:74)
2019/07/24 18:55:05 | 	at org.eclipse.jetty.server.ServerConnector.openAcceptChannel(ServerConnector.java:342)
2019/07/24 18:55:05 | 	... 7 more
2019/07/24 18:55:05 | CRIT  [istener:7654] er.client.ClientListenerRunner: I2CP error listening to port 7654 - is another I2P instance running? Resolve conflicts and restart
(many more)
2019/07/24 20:06:20 | --> Wrapper Started as Daemon
2019/07/24 20:06:20 | Java Service Wrapper Community Edition 64-bit 3.5.30
2019/07/24 20:06:20 |   Copyright (C) 1999-2016 Tanuki Software, Ltd. All Rights Reserved.
2019/07/24 20:06:20 |     http://wrapper.tanukisoftware.com
2019/07/24 20:06:20 | 
2019/07/24 20:06:21 | Launching a JVM...
2019/07/24 20:06:21 | WrapperManager: Initializing...
2019/07/24 20:06:21 | Starting I2P 0.9.41-0-1ubuntu1
2019/07/24 20:06:21 | WARN: Old router was not shut down gracefully, deleting /home/danrobi/.i2p/router.ping
2019/07/24 20:06:21 | INFO: Native CPUID library jcpuid-x86-linux loaded from file
2019/07/24 20:06:31 | INFO: Locally optimized native BigInteger library loaded from file

Subtickets

Change History (2)

comment:1 Changed 4 weeks ago by zzz

Component: unspecifiedapps/plugins
Description: modified (diff)
Owner: set to zzz

comment:2 Changed 4 weeks ago by zzz

Resolution: not our bug
Status: newclosed

Edited OP for formatting and remove unnecessary info

It appears from wrapper log that you had another i2p running, and that got resolved on restart.

It appears from router log that you simply failed to download the plugin, not that it downloaded and then didn't install. Maybe the site you are downloading from is down? I suggest you try downloading the file first in your browser, and when that completes successfully, install it from the file. Or verifying that the download site is up.

Note: See TracTickets for help on using tickets.